{
  "nodes": [
    {
      "id": "node-1748678585495",
      "type": "Borealis_Agent",
      "position": {
        "x": -72.88210799610599,
        "y": 261.8892293593568
      },
      "data": {
        "label": "Borealis Agent",
        "content": "Select and manage an Agent with dynamic roles",
        "agent_id": "lab-operator-01-agent-23b7671c"
      },
      "dragHandle": ".borealis-node-header",
      "positionAbsolute": {
        "x": -72.88210799610599,
        "y": 261.8892293593568
      },
      "width": 260,
      "height": 146,
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1748678591837",
      "type": "Agent_Role_Screenshot",
      "position": {
        "x": 147.62550981455888,
        "y": 454.6163598867883
      },
      "data": {
        "label": "Agent Role: Screenshot",
        "content": "Capture screenshot region via agent",
        "interval": "1000",
        "x": 200,
        "y": 418,
        "w": 168,
        "h": 113,
        "visible": "true",
        "alias": "",
        "value": "[encoded data, 15948 characters]"
      },
      "dragHandle": ".borealis-node-header",
      "width": 166,
      "height": 115,
      "selected": false,
      "positionAbsolute": {
        "x": 147.62550981455888,
        "y": 454.6163598867883
      },
      "dragging": false
    },
    {
      "id": "node-1748678828456",
      "type": "BWThresholdNode",
      "position": {
        "x": 362.66666666666674,
        "y": 261.8888854980469
      },
      "data": {
        "label": "BW Threshold",
        "content": "Applies black & white threshold to base64 image input.",
        "value": 181,
        "accentColor": "#00d18c"
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 96,
      "positionAbsolute": {
        "x": 362.66666666666674,
        "y": 261.8888854980469
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#00d18c",
        "--borealis-accent-dark": "#009262",
        "--borealis-title": "#00d18c"
      }
    },
    {
      "id": "node-1748678869849",
      "type": "Image_Viewer",
      "position": {
        "x": 571.9767490216869,
        "y": 261.892592588529
      },
      "data": {
        "label": "Player Stats",
        "content": "Visual preview of base64 image with zoom overlay.",
        "accentColor": "#00d18c"
      },
      "dragHandle": ".borealis-node-header",
      "width": 192,
      "height": 180,
      "positionAbsolute": {
        "x": 571.9767490216869,
        "y": 261.892592588529
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#00d18c",
        "--borealis-accent-dark": "#009262",
        "--borealis-title": "#00d18c"
      }
    },
    {
      "id": "node-1748678942362",
      "type": "OCR_Text_Extraction",
      "position": {
        "x": -34,
        "y": 780.0000000000001
      },
      "data": {
        "label": "Extract Player Stats",
        "content": "Extract Multi-Line Text from Upstream Image Node",
        "engine": "EasyOCR",
        "backend": "GPU",
        "dataType": "Mixed",
        "customRateEnabled": "true",
        "customRateMs": "1000",
        "changeThreshold": "0",
        "accentColor": "#00d18c"
      },
      "dragHandle": ".borealis-node-header",
      "width": 231,
      "height": 160,
      "positionAbsolute": {
        "x": -34,
        "y": 780.0000000000001
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#00d18c",
        "--borealis-accent-dark": "#009262",
        "--borealis-title": "#00d18c"
      }
    },
    {
      "id": "node-1748679460070",
      "type": "ArrayIndexExtractor",
      "position": {
        "x": 429.7666829427083,
        "y": 506.6666666666666
      },
      "data": {
        "label": "Health",
        "content": "Output a Specific Array Index's Value",
        "lineNumber": "1",
        "accentColor": "#ff4f4f"
      },
      "dragHandle": ".borealis-node-header",
      "width": 210,
      "height": 121,
      "positionAbsolute": {
        "x": 429.7666829427083,
        "y": 506.6666666666666
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#ff4f4f",
        "--borealis-accent-dark": "#b33737",
        "--borealis-title": "#ff4f4f"
      }
    },
    {
      "id": "node-1748679461900",
      "type": "ArrayIndexExtractor",
      "position": {
        "x": 429.76668294270837,
        "y": 627.1666666666666
      },
      "data": {
        "label": "Magic Power",
        "content": "Output a Specific Array Index's Value",
        "lineNumber": "2"
      },
      "dragHandle": ".borealis-node-header",
      "width": 210,
      "height": 121,
      "positionAbsolute": {
        "x": 429.76668294270837,
        "y": 627.1666666666666
      },
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1748679463481",
      "type": "ArrayIndexExtractor",
      "position": {
        "x": 429.7666829427085,
        "y": 747.6666666666666
      },
      "data": {
        "label": "Fighting Power",
        "content": "Output a Specific Array Index's Value",
        "lineNumber": "3",
        "accentColor": "#00d18c"
      },
      "dragHandle": ".borealis-node-header",
      "width": 210,
      "height": 121,
      "positionAbsolute": {
        "x": 429.7666829427085,
        "y": 747.6666666666666
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#00d18c",
        "--borealis-accent-dark": "#009262",
        "--borealis-title": "#00d18c"
      }
    },
    {
      "id": "node-1748679535288",
      "type": "ArrayIndexExtractor",
      "position": {
        "x": 429.76668294270837,
        "y": 868.1666666666666
      },
      "data": {
        "label": "Experience",
        "content": "Output a Specific Array Index's Value",
        "lineNumber": "4",
        "accentColor": "#ff8c00"
      },
      "dragHandle": ".borealis-node-header",
      "width": 210,
      "height": 121,
      "positionAbsolute": {
        "x": 429.76668294270837,
        "y": 868.1666666666666
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#ff8c00",
        "--borealis-accent-dark": "#b36200",
        "--borealis-title": "#ff8c00"
      }
    },
    {
      "id": "node-1748679760829",
      "type": "RegexReplace",
      "position": {
        "x": 888.5200415344996,
        "y": 261.892592588529
      },
      "data": {
        "label": "Cleanup Health",
        "content": "Perform regex replacement on incoming string",
        "pattern": "^\\s*(\\d+)[^0-9]+(\\d+)\\s*$",
        "replacement": "$1",
        "flags": "g",
        "enabled": "true",
        "accentColor": "#ff4f4f"
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 218,
      "positionAbsolute": {
        "x": 888.5200415344996,
        "y": 261.892592588529
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#ff4f4f",
        "--borealis-accent-dark": "#b33737",
        "--borealis-title": "#ff4f4f"
      }
    },
    {
      "id": "node-1748679772509",
      "type": "RegexReplace",
      "position": {
        "x": 888.5200415344998,
        "y": 480.291310829242
      },
      "data": {
        "label": "Cleanup Magic Power",
        "content": "Perform regex replacement on incoming string",
        "pattern": "^\\s*(\\d+)[^0-9]+(\\d+)\\s*$",
        "replacement": "$1",
        "flags": "g",
        "enabled": "true"
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 218,
      "positionAbsolute": {
        "x": 888.5200415344998,
        "y": 480.291310829242
      },
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1748679789227",
      "type": "RegexReplace",
      "position": {
        "x": 888.5200415344998,
        "y": 698.690029069955
      },
      "data": {
        "label": "Cleanup Fighting Power",
        "content": "Perform regex replacement on incoming string",
        "pattern": "^\\s*(\\d+)[^0-9]+(\\d+)\\s*$",
        "replacement": "$1",
        "flags": "g",
        "enabled": "true",
        "accentColor": "#00d18c"
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 218,
      "positionAbsolute": {
        "x": 888.5200415344998,
        "y": 698.690029069955
      },
      "selected": true,
      "dragging": false,
      "style": {
        "--borealis-accent": "#00d18c",
        "--borealis-accent-dark": "#009262",
        "--borealis-title": "#00d18c"
      }
    },
    {
      "id": "node-1748679795557",
      "type": "RegexReplace",
      "position": {
        "x": 888.5200415344998,
        "y": 917.0887068185677
      },
      "data": {
        "label": "Cleanup Experience",
        "content": "Perform regex replacement on incoming string",
        "pattern": "%$",
        "replacement": "",
        "flags": "g",
        "enabled": "true",
        "accentColor": "#ff8c00"
      },
      "dragHandle": ".borealis-node-header",
      "width": 260,
      "height": 218,
      "positionAbsolute": {
        "x": 888.5200415344998,
        "y": 917.0887068185677
      },
      "selected": false,
      "dragging": false,
      "style": {
        "--borealis-accent": "#ff8c00",
        "--borealis-accent-dark": "#b36200",
        "--borealis-title": "#ff8c00"
      }
    }
  ],
  "edges": [
    {
      "source": "node-1748678585495",
      "sourceHandle": "provisioner",
      "target": "node-1748678591837",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1748678585495provisioner-node-1748678591837",
      "label": "Read Player Stats",
      "labelStyle": {
        "fill": "#ffffff"
      },
      "labelBgStyle": {
        "fill": "#000000"
      }
    },
    {
      "source": "node-1748678591837",
      "sourceHandle": null,
      "target": "node-1748678828456",
      "targetHandle": null,
      "type": "smoothstep",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1748678591837-node-1748678828456",
      "label": "Make it Easier to Read",
      "labelStyle": {
        "fill": "#ffffff"
      },
      "labelBgStyle": {
        "fill": "#000000"
      }
    },
    {
      "source": "node-1748678828456",
      "sourceHandle": null,
      "target": "node-1748678869849",
      "targetHandle": null,
      "type": "smoothstep",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1748678828456-node-1748678869849"
    },
    {
      "source": "node-1748678869849",
      "sourceHandle": null,
      "target": "node-1748678942362",
      "targetHandle": null,
      "type": "smoothstep",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1748678869849-node-1748678942362"
    },
    {
      "source": "node-1748678942362",
      "sourceHandle": null,
      "target": "node-1748679460070",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#ff4f4f"
      },
      "id": "reactflow__edge-node-1748678942362-node-1748679460070"
    },
    {
      "source": "node-1748678942362",
      "sourceHandle": null,
      "target": "node-1748679461900",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1748678942362-node-1748679461900",
      "selected": false
    },
    {
      "source": "node-1748678942362",
      "sourceHandle": null,
      "target": "node-1748679463481",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#00d18c"
      },
      "id": "reactflow__edge-node-1748678942362-node-1748679463481"
    },
    {
      "source": "node-1748678942362",
      "sourceHandle": null,
      "target": "node-1748679535288",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#ff8c00"
      },
      "id": "reactflow__edge-node-1748678942362-node-1748679535288"
    },
    {
      "source": "node-1748679460070",
      "sourceHandle": null,
      "target": "node-1748679760829",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#ff4f4f"
      },
      "id": "reactflow__edge-node-1748679460070-node-1748679760829",
      "label": "Extract Current HP",
      "labelStyle": {
        "fill": "#ff4f4f"
      },
      "labelBgStyle": {
        "fill": "#000000"
      }
    },
    {
      "source": "node-1748679461900",
      "sourceHandle": null,
      "target": "node-1748679772509",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1748679461900-node-1748679772509",
      "labelStyle": {
        "fill": "#58a6ff"
      },
      "labelBgStyle": {
        "fill": "#000000"
      },
      "label": "Extract Current MP"
    },
    {
      "source": "node-1748679463481",
      "sourceHandle": null,
      "target": "node-1748679789227",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#00d18c"
      },
      "id": "reactflow__edge-node-1748679463481-node-1748679789227",
      "labelStyle": {
        "fill": "#00d18c"
      },
      "labelBgStyle": {
        "fill": "#000000"
      },
      "label": "Extract Current FP"
    },
    {
      "source": "node-1748679535288",
      "sourceHandle": null,
      "target": "node-1748679795557",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#ff8c00"
      },
      "id": "reactflow__edge-node-1748679535288-node-1748679795557",
      "label": "Extract Current EXP",
      "labelStyle": {
        "fill": "#ff8c00"
      },
      "labelBgStyle": {
        "fill": "#000000"
      }
    }
  ],
  "tab_name": "Flyff Character Status"
}